Bug 861599 - [abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send_cmd+0x130/0x140 [iwlwifi](): TAINTED P
[abrt]: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:d163f78c9357d53240fecd9bc62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 08:10 EDT by Edouard Bourguignon
Modified: 2012-11-27 14:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 14:02:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with fedora kernel (189.98 KB, text/plain)
2012-10-18 12:36 EDT, Edouard Bourguignon
no flags Details
dmesg with koji test kernel (192.78 KB, text/plain)
2012-10-18 12:37 EDT, Edouard Bourguignon
no flags Details

  None (edit)
Description Edouard Bourguignon 2012-09-29 08:10:23 EDT
Description of problem:
just surfing the web

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.3-1.fc17.x86_64 root=/dev/mapper/vg_totem-lv_root ro rd.md=0 rd.dm=0 LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_totem/lv_swap rd.lvm.lv=vg_totem/lv_root rd.luks=0 KEYTABLE=fr-latin9 quiet
kernel:         3.5.3-1.fc17.x86_64
kernel_tainted_long: Proprietary module has been loaded.

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-trans.h:518 iwl_dvm_send_cmd+0x130/0x140 [iwlwifi]()
:Hardware name: Q310                       
:iwl_trans_send_cmd bad state = 0
:Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd sunrpc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi nvidia(PO) snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core btusb videodev media snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd lpc_ich soundcore bluetooth samsung_laptop vhost_net arc4 i2c_i801 i2c_core coretemp mfd_core iwlwifi serio_raw mac80211 cfg80211 rfkill sky2 tun macvtap macvlan microcode kvm_intel kvm uinput binfmt_misc video [last unloaded: scsi_wait_scan]
:Pid: 4199, comm: kworker/u:0 Tainted: P           O 3.5.3-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810584bf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810585b6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa01d5e00>] iwl_dvm_send_cmd+0x130/0x140 [iwlwifi]
: [<ffffffffa01da856>] iwl_send_add_sta+0xd6/0x120 [iwlwifi]
: [<ffffffffa01dd0eb>] iwl_sta_rx_agg_stop+0x12b/0x190 [iwlwifi]
: [<ffffffffa01d010f>] iwlagn_mac_ampdu_action+0x2af/0x310 [iwlwifi]
: [<ffffffffa01519e6>] ___ieee80211_stop_rx_ba_session+0xc6/0x230 [mac80211]
: [<ffffffffa0151ba9>] __ieee80211_stop_rx_ba_session+0x59/0x80 [mac80211]
: [<ffffffffa0151400>] ? __ieee80211_stop_tx_ba_session+0x30/0x80 [mac80211]
: [<ffffffffa014fbc9>] ieee80211_sta_tear_down_BA_sessions+0x59/0x70 [mac80211]
: [<ffffffffa017f5ab>] ieee80211_set_disassoc+0xeb/0x3f0 [mac80211]
: [<ffffffffa017f8fb>] ieee80211_sta_connection_lost.isra.16+0x4b/0xc0 [mac80211]
: [<ffffffffa0182081>] ieee80211_sta_work+0x161/0xca0 [mac80211]
: [<ffffffffa01cfb35>] ? iwlagn_mac_flush+0xd5/0x1b0 [iwlwifi]
: [<ffffffffa017fc0d>] ? ieee80211_mgd_probe_ap_send+0x12d/0x1f0 [mac80211]
: [<ffffffff81073a36>] ? move_linked_works+0x66/0x90
: [<ffffffffa01553f9>] ieee80211_iface_work+0x2c9/0x360 [mac80211]
: [<ffffffff81074429>] process_one_work+0x129/0x400
: [<ffffffffa0155130>] ? ieee80211_check_queues+0x100/0x100 [mac80211]
: [<ffffffff81075f66>] worker_thread+0x126/0x2e0
: [<ffffffff81075e40>] ? manage_workers.isra.26+0x1f0/0x1f0
: [<ffffffff8107b4e3>] kthread+0x93/0xa0
: [<ffffffff81615de4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107b450>] ? flush_kthread_worker+0x80/0x80
: [<ffffffff81615de0>] ? gs_change+0x13/0x13
Comment 1 Stanislaw Gruszka 2012-10-16 06:38:15 EDT
Please add this iwlwifi module debug option:

echo "options iwlwifi debug=0x0803" > /etc/modprobe.d/iwlwifi.conf

and install this kernel, with additional patch:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4591540

Then try to reproduce the problem and provide output of dmesg:

dmesg > dmesg.txt

(attach dmesg.txt file here).
Comment 2 Stanislaw Gruszka 2012-10-18 07:42:18 EDT
Please test this kernel (with proposed fix for the problem) and report back:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4602595
Comment 3 Edouard Bourguignon 2012-10-18 12:36:27 EDT
Created attachment 629563 [details]
dmesg with fedora kernel

debug messages and kernel from fedora
Comment 4 Edouard Bourguignon 2012-10-18 12:37:02 EDT
Created attachment 629564 [details]
dmesg with koji test kernel

debug messages with kernel from koji
Comment 5 Edouard Bourguignon 2012-10-18 12:38:45 EDT
It's working very well now with this test kernel. Before I had ping loss just after AP association, now it's fine, and ssh connections don't lag anymore! Thank you!
Comment 6 Fedora Update System 2012-10-22 14:39:23 EDT
kernel-3.6.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.3-1.fc17
Comment 7 Fedora Update System 2012-10-22 21:54:41 EDT
Package kernel-3.6.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.3-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16669/kernel-3.6.3-1.fc17
then log in and leave karma (feedback).
Comment 8 Daniel Rindt 2012-10-23 04:45:34 EDT
came back from standby

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

Note You need to log in before you can comment on or make changes to this bug.